Package oracle.sql.json

## Interface OracleJsonIntervalYM

All Superinterfaces:
  `OracleJsonValue`

    public interface OracleJsonIntervalYM
    extends OracleJsonValue

A SQL/JSON time interval in years and months.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(java.lang.Object obj)` Compares the specified object with this `OracleJsonIntervalYM`.
`INTERVALYM` `getINTERVALYM()` Returns this value as a `oracle.sql.INTERVALYM`
`java.time.Period` `getPeriod()` Returns this interval as a `Period`.
`java.lang.String` `getString()` Returns this interval as an ISO 8601 String.
`int` `hashCode()` Returns a hash code equal to `Arrays.hashCode(getINTERVALYM().getBytes())` .

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, asJsonVector, getOracleJsonType, toString, wrap`

### Method Detail

#### getPeriod

    java.time.Period getPeriod()

Returns this interval as a `Period`.

Returns:
  the interval

#### getINTERVALYM

    INTERVALYM getINTERVALYM()

Returns this value as a `oracle.sql.INTERVALYM`

Returns:
  the interval value

#### getString

    java.lang.String getString()

Returns this interval as an ISO 8601 String.

Returns:
  the string value

#### hashCode

    int hashCode()

Returns a hash code equal to `Arrays.hashCode(getINTERVALYM().getBytes())` .

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hash code

#### equals

    boolean equals​(java.lang.Object obj)

Compares the specified object with this `OracleJsonIntervalYM`. Returns true if and only if the other object is an instance of `OracleJsonIntervalYM` and the intervals are equal.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonIntervalYM`.